# PhasicFlow: Time Class Reference

Time Class Reference
Inheritance diagram for Time:
[legend]
Collaboration diagram for Time:
[legend]

## Public Member Functions

| Time (repository *owner, const dictionary &setiingsDict)
| Time (repository *owner, dictionary &setiingsDict, real startTime, real endTime, real saveInterval, word startTimeName)
virtual fileSystem | localPath () const
const repository & | geometry () const
repository & | geometry ()
const repository & | integration () const
repository & | integration ()
virtual bool | write (bool verbose=false) const
Public Member Functions inherited from repository
| TypeInfo ("repository")
| repository (const word &name, const fileSystem &localPath, repository *owner=nullptr)
| repository (const repository &)=delete
repository & | operator= (const repository &)=delete
virtual | ~repository ()
word | name () const
virtual fileSystem | path () const
const repository * | owner () const
repository * | owner ()
const repository & | thisRepository () const
repository & | thisRepository ()
bool | addToRepository (repository *rep)
bool | removeRepository (repository *rep)
template<typename T , typename... Args>
T & | emplaceObject (const objectFile &objf, Args &&... args)
template<typename T , typename... Args>
T & | emplaceObjectOrGet (const objectFile &objf, Args &&... args)
template<typename T , typename... Args>
T & | emplaceReplaceObject (const objectFile &objf, Args &&... args)
template<typename T >
T & | insertReplaceObject (uniquePtr< IOobject > &&ptr)
template<typename T >
T & | insertReplaceObject (const objectFile &objf, uniquePtr< IOobject > &&ptr)
bool | eraseObject (const word &name)
bool | lookupObjectName (const word &nm) const
word | lookupObjectTypeName (const word &nm) const
bool | globalLookupObjectName (const word &nm, bool downward=false) const
bool | lookupRepositoryName (const word &nm) const
bool | lookupName (const word nm) const
size_t | numObjects () const
size_t | numRepositories () const
virtual size_t | outFilePrecision () const
template<typename T >
T & | lookupObject (const word &name)
repository & | lookupRepository (const word &name)
wordList | objectNames () const
wordList | repositoryNames () const
template<typename Type1 >
pFlow::word | reportTypeError (IOobject &object)
Public Member Functions inherited from timeControl
| timeControl (const dictionary &dict)
| timeControl (dictionary &dict, real startTime, real endTime, real saveInterval, word startTimeName)
virtual | ~timeControl ()
real | dt () const
real | setTime (real t)
void | setStopAt (real sT)
real | startTime () const
word | timeName () const
real | currentTime () const
word | currentTimeWord (bool forSave=true) const
int32 | currentIter () const
bool | finalTime () const
bool | reachedStopAt () const
bool | outputToFile () const
bool | timersReportTime () const
bool | setOutputToFile (real writeTime, const word &timeName)
bool | operator++ (int)
void | setSaveTimeFolder (bool saveToFile, const word &timeName="wrongTimeFolder")
int32 | timePrecision () const

## Protected Attributes

repository | geometry_
repository | integration_
Protected Attributes inherited from repository
word | name_
fileSystem | localPath_
repository * | owner_
wordMap< IOobject > | objects_
wordMap< repository * > | repositories_
Protected Attributes inherited from timeControl
real | dt_
real | startTime_
real | endTime_
real | stopAt_
real | currentTime_
real | saveInterval_
real | lastSaved_
int32 | currentIter_
int32 | timePrecision_
bool | managedExternaly_ = false
word | timeName_ = "wrongSettings"
real | writeTime_ = 0
realStridedRange | timersReportInterval_
int32StridedRagne | screenReportInterval_ ={0,100}
bool | outputToFile_ = false

## Additional Inherited Members

Protected Member Functions inherited from repository
template<typename Type1 >
word | reportTypeError (IOobject &object)
template<typename Type >
bool | checkForObjectType (IOobject &object)
Protected Member Functions inherited from timeControl
void | checkForOutputToFile ()
bool | screenReport () const

## Detailed Description

Definition at line 39 of file Time.hpp.

## Constructor & Destructor Documentation

## Time() [1/2]

Time | ( | repository * | owner,
|  | const dictionary & | setiingsDict
| ) |  |

Definition at line 27 of file Time.cpp.

## Time() [2/2]

Time | ( | repository * | owner,
|  | dictionary & | setiingsDict,
|  | real | startTime,
|  | real | endTime,
|  | real | saveInterval,
|  | word | startTimeName
| ) |  |

Definition at line 50 of file Time.cpp.

## Member Function Documentation

## localPath()

virtual fileSystem localPath | ( |  | ) | const

inlinevirtual

Reimplemented from repository.

Definition at line 68 of file Time.hpp.

References timeControl::timeName().

Here is the call graph for this function:

## geometry() [1/2]

const repository& geometry | ( |  | ) | const

inline

Definition at line 74 of file Time.hpp.

References Time::geometry_.

Referenced by systemControl::geometry().

Here is the caller graph for this function:

## geometry() [2/2]

repository& geometry | ( |  | ) |

inline

Definition at line 79 of file Time.hpp.

References Time::geometry_.

## integration() [1/2]

const repository& integration | ( |  | ) | const

inline

Definition at line 84 of file Time.hpp.

References Time::integration_.

## integration() [2/2]

repository& integration | ( |  | ) |

inline

Definition at line 89 of file Time.hpp.

References Time::integration_.

## write()

bool write | ( | bool | verbose = `false` | ) | const

virtual

Reimplemented from repository.

Definition at line 82 of file Time.cpp.

References cyanText, endREPORT, REPORT, and repository::write().

Here is the call graph for this function:

## Member Data Documentation

## geometry_

repository geometry_

protected

Definition at line 48 of file Time.hpp.

Referenced by Time::geometry().

## integration_

repository integration_

protected

Definition at line 51 of file Time.hpp.

Referenced by Time::integration().

The documentation for this class was generated from the following files:

- src/phasicFlow/repository/Time/Time.hpp
- src/phasicFlow/repository/Time/Time.cpp